* utils/Makefile.in: Remove Makefile in target 'distclean'.
* utils/mountd/mountd.man: Update paths to /var/lib.
* debian/*: Version 0.3.3-1, with Debian-specific fixes.
2001-10-08 Chip Salzenberg <chip@pobox.com>
- * utils/mountd/mountd.man: Updated paths to /var/lib.
+ * utils/Makefile.in: Remove Makefile in target 'distclean'.
+ * utils/mountd/mountd.man: Update paths to /var/lib.
+ * debian/*: Version 0.3.3-1, with Debian-specific fixes.
2001-10-06 Preston Brown <pbrown@redhat.com>
+nfs-utils (1:0.3.3-1) unstable; urgency=medium
+
+ * The "Life Goes On" release.
+ * New upstream version. (closes: #113042)
+ > Avoid DNS when unexporting... important for shutdown.
+ > Recognize double-quote and \octal quoting in pathnames.
+ > Print pathnames with \octal quoting as necessary.
+ * Depend on a version of glibc that restores rpcinfo to its rightful
+ place. (closes: #102400)
+ * Fix pathname in mountd doc. (closes: #112088)
+ * debian/nfs-kernel-server.postinst: Remove rc.d symlinks to old
+ nfs-server init script, which doesn't realize when it's been removed.
+ (closes: #97099)
+ * Warn users about "rpc.mountd" -> "mountd" in /etc/hosts.{allow,deny}.
+ This marks my first use of debconf! W00T! (closes: #92671)
+
+ -- Chip Salzenberg <chip@debian.org> Mon, 8 Oct 2001 15:04:08 -0700
+
nfs-utils (1:0.3.2-2) unstable; urgency=low
* Rebuild with new libc. (closes: #97252, #97455, #99829, #100317)
-- Chip Salzenberg <chip@valinux.com> Fri, 3 Dec 1999 20:00:00 -0800
-Local variables:
-mode: debian-changelog
-End:
Package: nfs-kernel-server
Architecture: any
-Depends: nfs-common (>= 1:0.1.5), ${shlibs:Depends}
+Depends: debconf (>= 1.0), nfs-common (>= 1:0.1.5), ${shlibs:Depends}
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
--- /dev/null
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+db_input high nfs-kernel-server/tcpwrappers-mountd || true
+db_go
+
#DEBHELPER#
+. /usr/share/debconf/confmodule
+
case "$1" in
configure)
+ db_get nfs-kernel-server/tcpwrappers-mountd || true
+
mkdir -p /var/lib/nfs
touch /var/lib/nfs/xtab /var/lib/nfs/etab /var/lib/nfs/rmtab
if test -s /etc/exports
EOF
fi
+ # The old nfs-server's init script can't tell that it's been
+ # removed, so we have to kill the symlinks to it.
+ update-rc.d -f nfs-server remove
+
update-rc.d nfs-kernel-server defaults 20 80 >/dev/null 2>&1
/etc/init.d/nfs-kernel-server start
--- /dev/null
+Template: nfs-kernel-server/tcpwrappers-mountd
+Type: note
+Description: in /etc/hosts.{allow,deny}, replace "rpc.mountd" with "mountd"
+ Older versions of nfs-kernel-server included a mount daemon that
+ called itself "rpc.mountd". The current mount daemon, however, calls
+ itself just plain "mountd".
+ .
+ Therefore, you should replace all occurrences of "rpc.mountd" with
+ "mountd" in /etc/hosts.allow and /etc/hosts.deny.
dh_strip
dh_compress
dh_fixperms
+ dh_installdebconf
dh_installdeb
# dh_makeshlibs
dh_shlibdeps
+ # Hackery Begins Here #
+ perl -pi -e 's/2\.2\.4-2/2.2.4-1/g' debian/*substvars
+ # Hackery Ends Here #
dh_gencontrol
dh_md5sums
dh_builddeb
include $(TOP)rules.mk
# .EXPORT_ALL_VARIABLES:
+
+distclean::
+ rm -f Makefile